# TODO
# - why the library can't be in standard %{_libdir}?

Summary:	Gives a fake root environment
Summary(pl.UTF-8):	"Podrobione" środowiska roota
Summary(pt_BR.UTF-8):	Cria um falso ambiente de root
Name:		fakeroot
Version:	1.23
Release:	1
License:	GPL v3+
Group:		Development/Tools
Source0:	http://ftp.debian.org/debian/pool/main/f/fakeroot/%{name}_%{version}.orig.tar.xz
# Source0-md5:	b82c5e99b6365a838e73d05718083f6a
Patch0:		hide-dlsym-error.patch
URL:		http://fakeroot.alioth.debian.org/
BuildRequires:	acl-devel
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	libtool >= 2:2.2
BuildRequires:	po4a
Requires:	util-linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir		%{_prefix}/%{_lib}/libfakeroot

%description
fakeroot runs a command in an environment were it appears to have root
privileges for file manipulation. This is useful for allowing users to
create archives (tar, ar, .deb etc.) with files in them with root
permissions/ownership. Without fakeroot one would have to have root
privileges to create the constituent files of the archives with the
correct permissions and ownership, and then pack them up, or one would
have to construct the archives directly, without using the archiver.

fakeroot works by replacing the file manipulation library functions
(chmod(), stat() etc.) by ones that simulate the effect the real
library functions would have had, had the user really been root. These
wrapper functions are in a shared library libfakeroot.so*, which is
loaded through the LD_PRELOAD mechanism of the dynamic loader.

%description -l pl.UTF-8
Program fakeroot uruchamia polecenia w środowisku, gdzie wydaje im
się, że mają uprawnienia roota przy operacjach na plikach. Jest to
przydatne, aby umożliwić użytkownikom na tworzenie archiwów (tar, ar,
deb) z plikami mającymi będącymi własnością roota. Bez fakeroota do
tworzenia takich plików z właściwymi uprawnieniami potrzebne byłyby
uprawnienia roota lub bezpośrednie tworzenie archiwów bez użycia
normalnego archiwizera.

fakeroot działa poprzez podmianę funkcji bibliotecznych operujących na
plikach (chmod(), stat() itp.) na takie, które symulują efekt
prawdziwych funkcji gdyby były uruchamiane z uprawnieniami roota. Te
specjalne funkcje znajdują się w bibliotece dzielonej libfakeroot.so*
ładowanej poprzez mechanizm LD_PRELOAD.

%description -l pt_BR.UTF-8
Este pacote permite a construção de pacotes por usuários sem
privilégios de root. Isso e' feito utilizando libfakeroot.so com
LD_PRELOAD, que prove implementacoes de getuid, chown, chmod, mknod,
stat e outros, criando um falso ambiente de root.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--libdir=%{_libexecdir} \
	--disable-static

cd doc
po4a -k 0 --rm-backups --variable "srcdir=../doc/" po4a/po4a.cfg
cd ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libexecdir}/libfakeroot.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS DEBUG README
%attr(755,root,root) %{_bindir}/faked
%attr(755,root,root) %{_bindir}/fakeroot
%dir %{_libexecdir}
%attr(755,root,root) %{_libexecdir}/libfakeroot*.so
%{_mandir}/man1/faked.1*
%{_mandir}/man1/fakeroot.1*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pt) %{_mandir}/pt/man1/*
%lang(sv) %{_mandir}/sv/man1/*
%changelog
* Wed Jul 11 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fakeroot.git;a=log;h=master

* Wed Jul 11 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> fbc1636
- up to 1.23

* Mon Oct 10 2016 Elan Ruusamäe <glen@delfi.ee> 6bc5834
- hide debug errors with glibc 2.24

* Mon Oct 10 2016 Elan Ruusamäe <glen@delfi.ee> 9ad5849
- do not redefine %{_libdir}

* Sun Jul 31 2016 Jakub Bogusz <qboosh@pld-linux.org> 94c3bd5
- updated to 1.21

* Wed May 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 35215a6
- updated to 1.20.2

* Wed Feb 25 2015 Elan Ruusamäe <glen@delfi.ee> 0848e23
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jul 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 50d47e4
- updated to 1.20.1

* Sat Nov 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 73e5988
- updated to 1.20

* Sun May 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 96b7085
- updated to 1.19
- removed obsolete man patch

* Wed Sep 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 7335778
- updated to 1.18
- added man patch (restores internationalized mans)

* Sat Aug 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 0f0ec73
- updated to 1.17

* Thu Jun 30 2011 marti <marti@pld-linux.org> d8a75ae
- up to 1.16

* Fri Jun 04 2010 arvenil <arvenil@pld-linux.org> 4163c3d
- up to 1.12.4

* Fri Jun 04 2010 Elan Ruusamäe <glen@pld-linux.org> c40c81b
- adapter

* Sun Dec 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> dcc5364
- up to 1.11

* Fri Aug 29 2008 Jakub Bogusz <qboosh@pld-linux.org> dd8e057
- updated to 1.9.6

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> e264c59
- updated to 1.9.5

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> 527c16b
- up to 1.8.10

* Sat Mar 31 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 773d56e
- up to 1.6.5

* Sun Feb 18 2007 Jakub Bogusz <qboosh@pld-linux.org> dfafca5
- updated to 1.5.12

